@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

/* ========================================================================== */
/*                        reusable codes section start                        */
/* ========================================================================== */

h1, h2, h3, h4, h5, h6, p, a {
    font-family: 'Roboto', sans-serif;
}

a{
    text-decoration: none;
}

.heading {
    color: #005E5C;
    /* Heading (H1): */
    font-family: 'Roboto', sans-serif;
    font-weight: 700;
}

.sub-heading {
    color: #1B8A85;
    /* Sub-heading (H2): */
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
}

.title {
    /* Title: */
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    color: #005E5C; /* Text color */
    font-size: 2.4rem;
}

.para {
    /* Paragraph: */
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    color: #333333; /* Text color */
    font-size: 1.6rem;
}

.btn-color {
    background-color: #00A8A4;
    /* Button Color: */
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    font-size: 2rem;
}

/* Apply border color to an element */
.border-color {
    border: 0.1rem solid;
    border-color: #2CAFAB;
}


.sub-style {
    position: relative;
    display: inline-block;
    text-transform: uppercase;
    color: #1B8A85;
}

.sub-style::before {
    content: "";
    width: 100px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin-top: 8px;
    margin-left: -100px;
    border: 1px solid #1B8A85 !important;
}

.sub-style::after {
    content: "";
    width: 50px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin-bottom: 5px;
    margin-left: -50px;
    border: 1px solid #1B8A85 !important;
}



.sub-title {
    position: relative;
    display: inline-block;
    text-transform: uppercase;
    color: #1B8A85;
}

.sub-title::before {
    content: "";
    width: 100px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    margin-top: 8px;
    margin-right: -100px;
    border: 1px solid #1B8A85 !important;
}

.sub-title::after {
    content: "";
    width: 50px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    margin-bottom: 8px;
    margin-right: -50px;
    border: 1px solid #1B8A85 !important;
}

.links{
    font-size: 2rem;
    color: #fff;
}

.footer-title{
    font-size: 2.5rem;
    line-height: 1.5;
}

.links{
    line-height: 1.7;
}


/* ========================================================================== */
/*                         reusable codes section end                         */
/* ========================================================================== */



/* ========================================================================== */
/*                            navbar section start                            */
/* ========================================================================== */

.navbar {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
    z-index: 999;
    background-color: #fff;
}


/* ========================================================================== */
/*                             navbar section end                             */
/* ========================================================================== */


/* ========================================================================== */
/*                             hero section start                             */
/* ========================================================================== */

.hero-image {
    display: block;
    /* Ensure the image takes full width */
}


.hero-text {
    z-index: 1;
}

.position-relative {
    position: relative;
    display: inline-block;
    /* Ensure container takes the size of the image */
}

.position-relative::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(2,47,49,255);
    opacity: 0.6;
}


@media (min-width: 1040px) and (max-width: 2200px) {
    .hero-title {
        margin-right: 4.2rem;
    }
}

@media (max-width: 1200px) {

    .hero-sub-title {
        font-size: 3.5rem;
    }
}

@media (min-width: 875px) {
    .hero-sub-title {
        font-size: 1rem;
    }
}
@media (min-width: 880px) {
    .hero-sub-title {
        font-size: 1.5rem;
    }
}

@media (min-width: 460px) {
    .hero{
        margin-top: 8rem;
    }
}

@media (max-width: 440px) {
    .navbar img{
        width: 150px;
        height: 30px;
    }

    .hero-subtitle{
        font-size: 1rem;
    }

    .hero-title{
        font-size: 1.8rem;
    }
}



/* ========================================================================== */
/*                               hero section end                             */
/* ========================================================================== */




/* ========================================================================== */
/*                            service section start                           */
/* ========================================================================== */

.service-section{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.service-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .2);
}

.service-card{
    border-radius: 1rem;
}

.service-item .service-img {
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.service-item .service-img img {
    transition: 0.5s;
}

    .service-item .service-img::after {
        width: 100%;
        height: 0;
        position: absolute;
        content: "";
        top: 0;
        left: 0;
        border-top-right-radius: 10px;
        border-top-left-radius: 10px;
        transition: 0.5s;
        z-index: 5;
    }
.service-item {
    position: relative;
    z-index: 2;
}

.service-item ::after {
    width: 100%;
    height: 8px;
    position: absolute;
    content: "";
    bottom: 0;
    left: 0;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    background: rgba(21, 185, 217, .5);
    transition: 0.5s;
    z-index: 3;
}


/* ========================================================================== */
/*                             service section end                            */
/* ========================================================================== */


/* ========================================================================== */
/*                           about us section start                           */
/* ========================================================================== */

.about .about-img {
    position: relative;
    overflow: hidden;
    height: 100%;
    border-radius: 10px;
}

.about .about-img .about-img-inner {
    position: absolute;
    left: 0; 
    bottom: 0;
    border-radius: 50%;

}

.about .about-img .about-experience {
    position: absolute;
    top: 125px; 
    left: -125px; 
    transform: rotate(-90deg);
    background: transparent;    
    font-size: 20px;
    font-weight: 600;
    letter-spacing: 4px;
}

.about-title{
    margin-bottom: 10rem;
}

/* ========================================================================== */
/*                           about us section start                           */
/* ========================================================================== */


/* ========================================================================== */
/*                         why choose us section start                        */
/* ========================================================================== */

.feature-section{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.feature .feature-item {
    position: relative;
    display: flex;
    border-radius: 10px;
    transition: 0.5s;

}

/* .feature .feature-item::before {
    width: 0;
    height: 100%;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 10px;
    transition: 0.5s;
} */


.feature .feature-item .feature-icon {
    display: inline-flex;
    border-radius: 10px;
    transition: 0.5s;
}

/* .feature .feature-item:hover .feature-icon {
    position: relative;
    z-index: 2;
}

.feature .feature-item:hover .feature-content {
    position: relative;
    color: var(--bs-white);
    z-index: 2;
}

.feature .feature-item:hover .feature-content h5 {
    color: var(--bs-dark);
} */

/* ========================================================================== */
/*                          why choose us section end                         */
/* ========================================================================== */


/* ======================================================================= */
/*                          footer section start                           */
/* ======================================================================= */

footer{
    background-color: #005E5C;
    /* height: 20rem; */
}

.map-container {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 aspect ratio */
    height: 0;
    overflow: hidden;
    max-width: 100%;
    height: auto;
}
.map-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

/* ======================================================================= */
/*                           footer section end                            */
/* ======================================================================= */